import Vue from 'vue';
import Router from 'vue-router';
Vue.use(Router);

export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : process.env.VUE_APP_ROUTER,
  routes: [
    {
      path: '/',
      name: 'home',
      component: () => import('../views/home/index.vue'),
    },
    // 科技政务
    {
      path: '/government/index',
      component: () => import('../views/government/index.vue'),
    },
    // 科技政务-栏目列表
    {
      path: '/government/columnDetail',
      component: () => import('../views/government/columnDetail.vue'),
    },
    // 科技政务-信息列表
    {
      path: '/government/messageInfoDetail',
      component: () => import('../views/government/messageInfoDetail.vue'),
    },
    // 科技政策
    {
      path: '/policy/index',
      component: () => import('../views/policy/index.vue'),
    },
    // 科技政策-栏目列表
    {
      path: '/policy/columnDetail',
      component: () => import('../views/policy/columnDetail.vue'),
    },
    // 科技政策-信息列表
    {
      path: '/policy/messageInfoDetail',
      component: () => import('../views/policy/messageInfoDetail.vue'),
    },
    // 科技超市
    {
      path: '/supermaket/index',
      component: () => import('../views/supermaket/index.vue'),
    },
    // 科技数据
    {
      path: '/record/index',
      component: () => import('../views/record/index.vue'),
    },
    // 科技数据-栏目列表
    {
      path: '/record/columnDetail',
      component: () => import('../views/record/columnDetail.vue'),
    },
    // 科技数据-信息列表
    {
      path: '/record/messageInfoDetail',
      component: () => import('../views/record/messageInfoDetail.vue'),
    },
    // 科技服务
    {
      path: '/serve/index',
      component: () => import('../views/serve/index.vue'),
    },
    // 科技服务-栏目列表
    {
      path: '/serve/columnDetail',
      component: () => import('../views/serve/columnDetail.vue'),
    },
    // 科技服务-信息列表
    {
      path: '/serve/messageInfoDetail',
      component: () => import('../views/serve/messageInfoDetail.vue'),
    },
    // 科技资源
    {
      path: '/resource/index',
      component: () => import('../views/resource/index.vue'),
    },
    // 科技人才
    {
      path: '/personnel/index',
      component: () => import('../views/personnel/index.vue'),
    },
    // 站点信息
    {
      path: '/site/index',
      meta: { title: '网站设置' },
      component: () => import('../views/site/index.vue'),
    },
    // 友情链接管理
    {
      path: '/links/index',
      meta: { title: '友情链接' },
      component: () => import('../views/links/index.vue'),
    },
    {
      path: '/links/detail',
      meta: { title: '友情链接' },
      component: () => import('../views/links/detail.vue'),
    },
  ],
});
